Page MenuHomePhabricator

[Task] Deploy usage tracking on all client wikis on the Wikimedia cluster
Closed, ResolvedPublic

Description

ChangeDispatcher currently needs to look up client subscriptions in two different ways: using wb_changes_subscription for clients with usage tracking, and using wb_item_per_site for clients without. This is inefficient and annoying. It would be much betetr to use the same mechansim for all client wikis.

Solution: roll out usage tracking for all client wikis. Arbitrary access need not be enabled for wikis where it is not yet wanted or possible.

Event Timeline

daniel created this task.Aug 26 2015, 2:45 PM
daniel raised the priority of this task from to Needs Triage.
daniel updated the task description. (Show Details)
daniel added a subscriber: daniel.
Restricted Application added projects: Services, acl*sre-team. · View Herald TranscriptAug 26 2015, 2:45 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Service-deployment-requests is a project used for deploying new services in production (cf . its profile), while Services is a project denoting the WMF Services Team. Neither seem to apply to this ticket, so removing them.

Restricted Application added a subscriber: Matanya. · View Herald TranscriptAug 26 2015, 2:51 PM
mobrovac set Security to None.
mobrovac removed a subscriber: mobrovac.

usage tracking is already deployed to zhwiki

Lydia_Pintscher renamed this task from Deploy wikibase usage tracking on all client wikis on the wikimedia cluster to [Task] Deploy usage tracking on all client wikis on the Wikimedia cluster.Sep 1 2015, 11:46 AM
Lydia_Pintscher triaged this task as Normal priority.
Lydia_Pintscher removed a project: acl*sre-team.
aude closed this task as Resolved.Sep 9 2015, 10:49 AM